<template src="./warehouseInventoryDataTableComponent.htm"></template>

<script>

    import Vue from 'vue';
    import DataTableComponent from '../../DataTableComponent.vue';
    import { warehouseInventoryDataTableProps } from '../../../datatable/props/warehouseInventoryDataTableProps.js';

    Vue.component('data-table-component');

    export default {

        mixins: [
            warehouseInventoryDataTableProps
        ],

        methods: {

            // TODO change when switched to SPA
            editProduct(product) {

                window.location.replace('/admin/products/index/edit/' + product.id);
            }
        }
    }

</script>